// TreeSelect.cpp : implementation file
//

#include "stdafx.h"
#include "Code_ThumbSave.h"
#include "Code_ThumbSaveDlg.h"
#include "TreeSelect.h"
#include "xShadeButton.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
extern 	CxShadeButton	m_CancelBrowse;
extern 	CxShadeButton	m_OkBrowse;

/////////////////////////////////////////////////////////////////////////////
// CTreeSelect dialog


CTreeSelect::CTreeSelect(CWnd* pParent /*=NULL*/)
	: CDialog(CTreeSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTreeSelect)
	m_strFolder = _T("");
	//}}AFX_DATA_INIT
}


void CTreeSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTreeSelect)
	DDX_Text(pDX, IDS_FOLDER, m_strFolder);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTreeSelect, CDialog)
	//{{AFX_MSG_MAP(CTreeSelect)
	ON_NOTIFY(TVN_ITEMEXPANDING, IDS_DIRTREE, OnItemexpandingDirtree)
	ON_NOTIFY(TVN_SELCHANGED, IDS_DIRTREE, OnSelchangedDirtree)
	ON_NOTIFY(TVN_DELETEITEM, IDS_DIRTREE, OnDeleteitemDirtree)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTreeSelect message handlers

BOOL CTreeSelect::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here



	m_TreeCtl = (CShellTree*)GetDlgItem(IDS_DIRTREE);
	m_TreeCtl->EnableImages();
	m_TreeCtl->PopulateTree();

	CCode_ThumbSaveApp* pApp = static_cast<CCode_ThumbSaveApp*>(AfxGetApp());
	ASSERT(pApp);
	m_strFolder = static_cast<CCode_ThumbSaveDlg*>(GetParent())->m_strImageDir;
	m_TreeCtl->TunnelTree(m_strFolder);
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTreeSelect::OnItemexpandingDirtree(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	m_TreeCtl->OnFolderExpanding(pNMHDR,pResult);
	*pResult = 0;
}

void CTreeSelect::OnSelchangedDirtree(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	CString    strTemp;
	if(m_TreeCtl->OnFolderSelected(pNMHDR,pResult,strTemp))
     m_strFolder = strTemp;
	else
	 m_strFolder = _T("");

	UpdateData(FALSE);    	
	*pResult = 0;
}

void CTreeSelect::OnDeleteitemDirtree(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	m_TreeCtl->OnDeleteShellItem(pNMHDR, pResult);
	*pResult = 0;
}
